package com.jpsoft.shinestar.modules.workflow.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.workflow.entity.ProcessSet;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ProcessSetDAO {
	int insert(ProcessSet entity);
	int update(ProcessSet entity);
	int exist(String id);
	ProcessSet get(String id);
	int delete(String id);
	List<ProcessSet> list();
	List<ProcessSet> search(Map<String,Object> searchParams,List<Sort> sortList);
}